> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.rebateright.com.au/llms.txt.
> For full documentation content, see https://docs.rebateright.com.au/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.rebateright.com.au/_mcp/server.

# Vaccine Funding Types

GET https://api.rebateright.com.au/AIR/v1/refdata/vaccineFundingType

List the funding types AIR uses to classify how a vaccine was funded (NIP, Other, Antenatal, Private/State, etc.).


Reference: https://docs.rebateright.com.au/api-reference/air/reference-data/vaccine-funding-types

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /AIR/v1/refdata/vaccineFundingType:
    get:
      operationId: vaccine-funding-types
      summary: Vaccine Funding Types
      description: >
        List the funding types AIR uses to classify how a vaccine was funded
        (NIP, Other, Antenatal, Private/State, etc.).
      tags:
        - subpackage_air.subpackage_air/referenceData
      parameters:
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/AIR_Reference Data_Vaccine Funding
                  Types_Response_200
servers:
  - url: https://api.rebateright.com.au
  - url: https://test-api.rebateright.com.au
components:
  schemas:
    AirV1RefdataVaccineFundingTypeGetResponsesContentApplicationJsonSchemaVaccineFundingTypesItems:
      type: object
      properties:
        vaccineFundingTypeCode:
          type: string
        vaccineFundingTypeDescription:
          type: string
      title: >-
        AirV1RefdataVaccineFundingTypeGetResponsesContentApplicationJsonSchemaVaccineFundingTypesItems
    AIR_Reference Data_Vaccine Funding Types_Response_200:
      type: object
      properties:
        statusCode:
          type: string
        codeType:
          type: string
        message:
          type: string
        vaccineFundingTypes:
          type: array
          items:
            $ref: >-
              #/components/schemas/AirV1RefdataVaccineFundingTypeGetResponsesContentApplicationJsonSchemaVaccineFundingTypesItems
        correlationId:
          type: string
      title: AIR_Reference Data_Vaccine Funding Types_Response_200
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
    minorId:
      type: apiKey
      in: header
      name: x-minor-id

```

## SDK Code Examples

```python All Funding Types
import requests

url = "https://api.rebateright.com.au/AIR/v1/refdata/vaccineFundingType"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript All Funding Types
const url = 'https://api.rebateright.com.au/AIR/v1/refdata/vaccineFundingType';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go All Funding Types
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.rebateright.com.au/AIR/v1/refdata/vaccineFundingType"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby All Funding Types
require 'uri'
require 'net/http'

url = URI("https://api.rebateright.com.au/AIR/v1/refdata/vaccineFundingType")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java All Funding Types
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.rebateright.com.au/AIR/v1/refdata/vaccineFundingType")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php All Funding Types
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.rebateright.com.au/AIR/v1/refdata/vaccineFundingType', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp All Funding Types
using RestSharp;

var client = new RestClient("https://api.rebateright.com.au/AIR/v1/refdata/vaccineFundingType");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift All Funding Types
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.rebateright.com.au/AIR/v1/refdata/vaccineFundingType")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```